<?php
/**
 * Admin Notepad
 * Copyright (c) 2001-2009 The XMB Group
 * http://www.xmbforum.com
 * Developed by John Briggs

 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 **/

define('X_SCRIPT', 'cp_notepad.php');

require 'header.php';
require ROOT.'include/admin.inc.php';

loadtemplates('error_nologinsession');

nav($lang['textcp']);

eval('$css = "'.template('css').'";');
eval('echo "'.template('header').'";');

if (!X_ADMIN) {
    eval('echo "'.template('error_nologinsession').'";');
    end_time();
    eval('echo "'.template('footer').'";');
    exit;
}

smcwcache();

$auditaction = $_SERVER['REQUEST_URI'];
$aapos = strpos($auditaction, "?");
if ($aapos !== false) {
    $auditaction = substr($auditaction, $aapos + 1);
}
$auditaction = $db->escape("$onlineip|#|$auditaction");
audit($xmbuser, $auditaction, 0, 0);

displayAdminPanel();

if (noSubmit('adminnotesubmit') && noSubmit('adminnoteclear')) {
    ?>
    <tr class="tablerow" bgcolor="<?php echo $THEME['altbg2']; ?>">
    <td align="center">
    <form action="cp_notepad.php" method="post">
    <table cellspacing="0" cellpadding="0" border="0" width="550" align="center">
    <tr>
    <td bgcolor="<?php echo $THEME['bordercolor']; ?>">
    <table border="0" cellspacing="<?php echo $THEME['borderwidth']; ?>" cellpadding="<?php echo $THEME['tablespace']; ?>" width="100%">
    <tr class="category">
    <td><strong><font color="<?php echo $THEME['cattext']; ?>"><?php echo $lang['Admin_Notes']; ?></font></strong></td>
    </tr>
    <tr>
    <td bgcolor="<?php echo $THEME['altbg2']; ?>" class="ctrtablerow">
    <textarea name="adminnotes" rows="12" cols="100">
<?php // Linefeed required here - Do not edit!
    echo $SETTINGS['adminnotes'];
    ?></textarea>
    </td>
    </tr>
    <tr class="tablerow">
    <td bgcolor="<?php echo $THEME['altbg1']; ?>"><?php echo $lang['Admin_Notes_Note']; ?></td>
    </tr>
    <tr bgcolor="<?php echo $THEME['altbg2']; ?>" class="ctrtablerow">
    <td><input class="submit" type="submit" name="adminnotesubmit" value="<?php echo $lang['Admin_Notes_Submit']; ?>">&nbsp;<input class="submit" type="submit" name="adminnoteclear" value="<?php echo $lang['Admin_Notes_Clear']; ?>"></td>
    </tr>
    </table>
    </td>
    </tr>
    </table>
    </form>
    </td>
    </tr>
    <?php
} else {
    if (onSubmit('adminnotesubmit')) {
        $adminnotesnew = postedVar('adminnotes');
        $db->query("UPDATE ".X_PREFIX."settings SET adminnotes='$adminnotesnew'");
        echo '<tr><td bgcolor="'.$THEME['altbg2'].'" class="ctrtablerow">'.$lang['Admin_Notes_Update'].'</td></tr>';
        redirect('cp_notepad.php', 2, X_REDIRECT_JS);
    }

    if (onSubmit('adminnoteclear')) {
        $db->query("UPDATE ".X_PREFIX."settings SET adminnotes=''");
        echo '<tr><td bgcolor="'.$THEME['altbg2'].'" class="ctrtablerow">'.$lang['Admin_Notes_Cleared'].'</td></tr>';
        redirect('cp_notepad.php', 2, X_REDIRECT_JS);
    }
}

echo '</table></td></tr></table>';

end_time();
eval('echo "'.template('footer').'";');
?>
